summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author ponce2010-09-21 02:10:06 +0200
committer Robby Workman2010-09-22 05:09:43 +0200
commitff54e269034bbb9013bac7a52b5b1aee666e4b45 (patch)
tree2d3c67909e2a8111fe5703c664f05eed7eaa0873
parent8a156cbd59991cd5a2d491b9e15e8ad8d33edb16 (diff)
downloadslackbuilds-ff54e269034bbb9013bac7a52b5b1aee666e4b45.tar.gz
system/lxtask: Added (simple task manager for LXDE)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
-rw-r--r--system/lxtask/README7
-rw-r--r--system/lxtask/doinst.sh3
-rw-r--r--system/lxtask/lxtask.SlackBuild127
-rw-r--r--system/lxtask/lxtask.info10
-rw-r--r--system/lxtask/slack-desc19
5 files changed, 166 insertions, 0 deletions
diff --git a/system/lxtask/README b/system/lxtask/README
new file mode 100644
index 0000000000..232f882edb
--- /dev/null
+++ b/system/lxtask/README
@@ -0,0 +1,7 @@
+lxtask (simple task manager for LXDE)
+
+LXTask is lightweight and desktop-independent task manager derived from
+xfce4-taskmanager with all dependencies on xfce removed, new features,
+and some improvement of the user interface.
+
+It requires lxde-common and lxpanel, available from slackbuilds.org.
diff --git a/system/lxtask/doinst.sh b/system/lxtask/doinst.sh
new file mode 100644
index 0000000000..3857649f50
--- /dev/null
+++ b/system/lxtask/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
diff --git a/system/lxtask/lxtask.SlackBuild b/system/lxtask/lxtask.SlackBuild
new file mode 100644
index 0000000000..0513f3574d
--- /dev/null
+++ b/system/lxtask/lxtask.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/sh
+# $Id: lxtask.SlackBuild,v 1.2 2009/09/11 10:39:38 root Exp root $
+# Copyright (c) 2008-2009 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: lxtask
+# Descr: simple task manager for LXDE
+# URL: http://lxde.sourceforge.net/
+# Needs: lxde-common, lxpanel
+# Changelog:
+# 0.1-1: 04/Jun/2008 by Eric Hameleers <alien@slackware.com>
+# * Initial build.
+# 0.1.1-1: 11/sep/2009 by Eric Hameleers <alien@slackware.com>
+# * Update.
+# 0.1.3-1: 12/sep/2010 by ponce <matteo.bernardini@sns.it>
+# * Adapted to slackbuilds.org's autotools template.
+# * updated to latest version.
+#
+# Run 'sh lxtask.SlackBuild' to build a Slackware package.
+# The package is created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+PRGNAM=lxtask
+VERSION=${VERSION:-0.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+DOCS="AUTHORS COPYING ChangeLog NEWS README TODO"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+make
+make install-strip DESTDIR=$PKG
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/lxtask/lxtask.info b/system/lxtask/lxtask.info
new file mode 100644
index 0000000000..ff289e0f55
--- /dev/null
+++ b/system/lxtask/lxtask.info
@@ -0,0 +1,10 @@
+PRGNAM="lxtask"
+VERSION="0.1.3"
+HOMEPAGE="http://wiki.lxde.org/en/LXTask"
+DOWNLOAD="http://download.sourceforge.net/lxde/lxtask-0.1.3.tar.gz"
+MD5SUM="eccfb69ee1a209248b22a5f0a34a4734"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="ponce"
+EMAIL="matteo.bernardini@sns.it"
+APPROVED="dsomero"
diff --git a/system/lxtask/slack-desc b/system/lxtask/slack-desc
new file mode 100644
index 0000000000..0392ff709c
--- /dev/null
+++ b/system/lxtask/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxtask: lxtask (simple task manager for LXDE)
+lxtask:
+lxtask: LXTask is a lightweight and desktop-independent task manager derived
+lxtask: from xfce4-taskmanager with all dependencies on xfce removed, new
+lxtask: features, and some improvement of the user interface.
+lxtask:
+lxtask: lxtask home: http://wiki.lxde.org/en/LXTask
+lxtask:
+lxtask:
+lxtask:
+lxtask: